## smb4k-trinity 14.1.0

=== debian/changelog ===
smb4k-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:17:57 +0100

smb4k-trinity (0.9.4-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

smb4k-trinity (0.9.4-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

smb4k-trinity (0.9.4-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 07 Feb 2009 21:34:00 -0600

smb4k (0.9.4-1) unstable; urgency=low

  * New upstream release.
    (closes: #477419)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Apr 2008 11:00:22 +0200

smb4k (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Updated minimal build-deps to 3.3 as required upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Jan 2008 10:48:11 +0100

smb4k (0.9.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #343950, #456077, #461370)
  * Policy bumped to 3.7.3 (no changes)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 18 Jan 2008 14:48:20 +0100

smb4k (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * Introduced Homepage field in debian/control

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 22 Oct 2007 20:06:08 +0200

smb4k (0.8.4-2) unstable; urgency=low

  * debian/menu transitioned to new sections.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 Jul 2007 23:03:05 +0200

smb4k (0.8.4-1) unstable; urgency=low

  * New upstream release with minor fixes.
  * debian/copyright file updated.
    (closes: #432224)
  * debian/watch revised.
  * debian/control revised for description.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Jul 2007 09:56:17 +0200

smb4k (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 18 Jun 2007 21:38:37 +0200

smb4k (0.8.1-1) unstable; urgency=high

  * New upstream release (fixes a few security issues)
    (closes: #417697)
  * Revised watch file.


 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 10 Apr 2007 11:40:40 +0200

smb4k (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 22 Dec 2006 12:27:05 +0100

smb4k (0.7.5-1) unstable; urgency=high

  * New upstream release
    This version fixes a grave security bug present in all 0.7 versions with
    sudoers file management.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Nov 2006 12:57:57 +0100

smb4k (0.7.3-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Oct 2006 23:30:11 +0200

smb4k (0.7.2-1) unstable; urgency=low

  * New upstream version.
  * Moved debian/watch to version 3 syntax.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 14:55:25 +0200

smb4k (0.7.1-1) unstable; urgency=low

  * New upstream release
    This version works only with Samba 3.0+
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 25 Jun 2006 10:55:40 +0200

smb4k (0.6.9-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Mar 2006 17:01:31 +0100

smb4k (0.6.8-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 17 Mar 2006 22:55:33 +0100

smb4k (0.6.7-1) unstable; urgency=low

  * New upstream release
  * Removed superfluous libfam-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun,  5 Feb 2006 23:19:33 +0100

smb4k (0.6.5-1) unstable; urgency=low

  * New upstream release
    (closes: #343094,#314240)
  * Transitioned to xorg dependencies.
    (closes: #346905)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  9 Jan 2006 15:25:45 +0100

smb4k (0.6.4-1) unstable; urgency=high

  * New upstream release
  * Truly fix of #313908 and related issues.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri,  4 Nov 2005 14:54:26 +0100

smb4k (0.6.3-1) unstable; urgency=high

  * New upstream release
    Fixes a few security flaws due to symlinking abuse.
    IMHO it require major changes to properly manage IPC with sudo/super,
    anywy better than nothing...
  * Little modification (partially yet done by upstream) to de.po
    (closes: #313908)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 31 Aug 2005 15:26:55 +0200

smb4k (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Aug 2005 23:44:01 +0200

smb4k (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Added missing tdebase-dev build-dep
  * Policy bumped to 3.6.2

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 23 Aug 2005 23:29:26 +0200

smb4k (0.5.2-1) unstable; urgency=low

  * New upstream release
    (closes: #294458, #296458)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Mar 2005 12:15:53 +0200

smb4k (0.5.1-1) unstable; urgency=low

  * New upstream release
  * Added sudo to recommended pkgs in control file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 31 Jan 2005 10:35:10 +0100

smb4k (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 13 Jan 2005 15:21:07 +0100

smb4k (0.4.1a-1) unstable; urgency=high

  * New upstream release.
    A severe bug in Smb4K's exit code has been found and fixed, which led
    under certain circumstances to complete data loss on remote shares.  

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon,  6 Sep 2004 11:40:26 +0200

smb4k (0.4.1-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# 
# Uhm, too much complicated eh?
#

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## smb4k-trinity 14.1.1

=== debian/changelog ===
smb4k-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 27 Sep 2023 16:29:27 +0200

## smb4k-trinity 14.1.2

=== debian/changelog ===
smb4k-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Apr 2024 02:11:21 +0200

## smb4k-trinity 14.1.5

=== smb4k/core/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4kcore (shared)

tde_add_library( smb4kcore SHARED AUTOMOC
  SOURCES
    smb4kauthinfo.cpp smb4kbookmark.cpp smb4kbookmarkhandler.cpp smb4kcore.cpp
    smb4kerror.cpp smb4tdefileio.cpp smb4tdeglobal.cpp smb4kglobal_p.cpp
    smb4khomesshareshandler.cpp smb4kmounter.cpp smb4kmounter_p.cpp
    smb4knetworkitems.cpp smb4kpasswordhandler.cpp smb4kpreviewer.cpp
    smb4kpreviewitem.cpp smb4kprint.cpp smb4kprintinfo.cpp smb4ksambaoptionshandler.cpp
    smb4ksambaoptionsinfo.cpp smb4kscanner.cpp smb4kscanner_p.cpp smb4ksettings.kcfgc
    smb4kshare.cpp smb4ksynchronizationinfo.cpp smb4ksynchronizer.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdewalletclient-shared
  VERSION 2.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other files

install(
  FILES smb4k.kcfg
  DESTINATION ${SHARE_INSTALL_PREFIX}/config.kcfg
)

install(
  FILES
    smb4kauthinfo.h smb4kbookmark.h smb4kbookmarkhandler.h
    smb4kcore.h smb4kdefs.h smb4kerror.h smb4tdefileio.h smb4tdeglobal.h
    smb4khomesshareshandler.h smb4kmounter.h smb4knetworkitems.h
    smb4kpasswordhandler.h smb4kpreviewer.h smb4kpreviewitem.h
    smb4kprint.h smb4kprintinfo.h smb4ksambaoptionshandler.h
    smb4ksambaoptionsinfo.h smb4kscanner.h smb4kshare.h
    smb4ksynchronizationinfo.h smb4ksynchronizer.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== smb4k/searchdlg/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4ksearchdialog (shared)

tde_add_kpart( libsmb4ksearchdialog AUTOMOC
  SOURCES smb4ksearchdialog.cpp smb4ksearchdialog_part.cpp smb4ksearchdialogitem.cpp
  LINK tdecore-shared tdeui-shared tdeparts-shared smb4kcore-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

## smb4k-trinity 14.1.3

=== debian/changelog ===
smb4k-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:55:57 +0200

=== debian/control ===
Source: smb4k-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://smb4k.berlios.de/

Package: smb4k-trinity
Architecture: any
Depends: ${shlibs:Depends}, samba-common, smbclient, smbfs | cifs-utils
Replaces: smb4k-kde3 (<< 4:14.0.0~), smb4k-trinity (<< 4:14.0.0~)
Breaks: smb4k-kde3 (<< 4:14.0.0~), smb4k-trinity (<< 4:14.0.0~)
Recommends: super | sudo-trinity
Description: A Samba (SMB) share advanced browser for Trinity
 Smb4K is a SMB (Windows) share browser for TDE. It uses the Samba software 
 suite to access the SMB shares of the local network neighborhood. Its purpose
 is to provide a program that's easy to use and has as many features as 
 possible.

## smb4k-trinity 14.1.4

=== debian/changelog ===
smb4k-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## smb4k-trinity 14.1.5~pre2

=== debian/changelog ===
smb4k-trinity (4:14.1.5~pre2-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 71ee36f1dfb60fd291afbf80e9aa8d0213668c2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## smb4k-trinity 14.1.5

=== debian/changelog ===
smb4k-trinity (4:14.1.5-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: smb4k-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdebase-trinity-dev, tdelibs14-trinity-dev
Standards-Version: 3.8.4
Homepage: http://smb4k.berlios.de/

Package: smb4k-trinity
Architecture: any
Depends: ${shlibs:Depends}, samba-common, smbclient, smbfs | cifs-utils
Replaces: smb4k-trinity (<< 4:14.0.0~)
Breaks: smb4k-trinity (<< 4:14.0.0~)
Recommends: super | sudo-trinity
Description: A Samba (SMB) share advanced browser for Trinity
 Smb4K is a SMB (Windows) share browser for TDE. It uses the Samba software 
 suite to access the SMB shares of the local network neighborhood. Its purpose
 is to provide a program that's easy to use and has as many features as 
 possible.

## smb4k-trinity 14.1.6~pre0

=== debian/changelog ===
smb4k-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 71ee36f1dfb60fd291afbf80e9aa8d0213668c2e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## smb4k-trinity 14.1.6~pre1

=== debian/changelog ===
smb4k-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c592aced11ae2d019f807c87960c7db18e304907
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:43:39 +0100

## smb4k-trinity 14.1.6~pre2

=== debian/changelog ===
smb4k-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7daeb2ec909d8abf440b6b6bb06731bfd1a3b562
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:50:37 +0100

## smb4k-trinity 14.2.0~pre53

=== debian/changelog ===
smb4k-trinity (4:14.2.0~pre53-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 27cfa7c21e40cf792d1f781d40c4d778dc76a99b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## smb4k-trinity 14.2.0~pre54

=== debian/changelog ===
smb4k-trinity (4:14.2.0~pre54-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 9ab9c6554c4218afd7ec96e037e0244f9ec85338
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:57:30 +0100

## smb4k-trinity 14.2.0~pre55

=== debian/changelog ===
smb4k-trinity (4:14.2.0~pre55-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for db4f86a7dd149f49afe69b19c11438abd4560123
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#smb4k

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 09:53:44 +0100
